System Requirements for SAP for Oracle

Updated

Verify that your environment meets the system requirements for SAP Oracle.

Operating System

Important: Use the most recent version of the operating system that is listed. The Commvault software fully supports the most recent version of an operating system, until the vendor ends support. More recent versions of the Commvault software might not install on operating systems that are not supported by the vendor anymore. For information about the support lifecycle of an operating system, contact the vendor.

SAP BR*Tools 7.40 for Oracle 12c (V12.2), Oracle 18c, Oracle 19c

Note:

  • For Oracle 12.2, you must install BR*Tools 7.40 patch level 32 or a more recent version. For information about additional SAP requirements with Oracle 12.2, see SAP Note 2470660.

  • For Oracle 18c, you must install BR*Tools 7.40 patch level 37 or a more recent version. For information about additional SAP requirements with Oracle 18c, see SAP Notes 2705272, 2763733, and 2660020.

  • For Oracle 19c, you must install BR*Tools 7.40 patch level 40 or a more recent version. For information about additional SAP requirements with Oracle 19c, see SAP Notes 2799900, 2817074, and 2763733.

AIX

Data protection on Logical Partitioning (LPAR) and Workload Partitioning (WPAR) is supported.

Operating system

Processor architecture

AIX 7.2 64-bit

TL 09 SP 1, TL05

PowerPC

AIX 7.1 64-bit

TL03 SP4

PowerPC

AIX 6.1 64-bit

TL09 SP4

PowerPC

HP-UX

Operating system

Processor architecture

HP-UX 11i v3 (11.31)

Itanium

Linux

Important: If you have SELinux enabled on the client computer, create the SELinux policy module as a root user before performing a backup. The SELinux Development package must be installed on the client.

Operating system

Processor architecture

Oracle Linux 7.x with glibc 2.17.x or a more recent version

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux 8.x with glibc 2.28.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux 7.x

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux 6.4

  • x86

  • x64

  • Compatible processors

SuSE Linux 12 SP1 Enterprise Server

  • x86

  • x64

  • Compatible processors

SuSE Linux 15 (Initial Release/SP1 and later SPs) with glibc 2.26.x and higher

  • x86

  • x64

  • PowerPC

  • Compatible processors

Oracle Solaris

In a UNIX virtualization environment using Solaris, you can back up and restore data in both global and non-global zones.

Operating system

Processor architecture

Oracle Solaris 11.2 SRU 5.5

  • x64

  • Sparc T/M series

Oracle Solaris 10 Update 11

  • x64

  • Sparc T/M series

Windows

Operating system

Processor architecture

Microsoft Windows Server 2019 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2016 x 64Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 R2 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 x64 Edition

All Windows-compatible processors are supported

SAP BR*Tools 7.20 (42), 7.20 (40), 7.40(46), 7.40 (14) for Oracle 12c (V12.1), 11g (R1, R2, or a More Recent Version)

AIX

Data protection on Logical Partitioning (LPAR) and Workload Partitioning (WPAR) is supported.

Operating system

Processor architecture

AIX 7.2 64-bit

PowerPC

AIX 7.1 64-bit

PowerPC

AIX 6.1 TL 02 SP00 or higher, 64-bit

PowerPC

HP-UX

Operating system

Processor architecture

HP-UX 11i v3 (11.31)

Itanium

HP-UX 11i v1 (11.23)

Itanium

Linux

Important: If you have SELinux enabled on the client computer, create the SELinux policy module as a root user before performing a backup. The SELinux Development package must be installed on the client.

Operating system

Processor architecture

Oracle Linux 7.x with glibc 2.17.x or a more recent version

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/CentOS 7.x with glibc 2.17.x or a more recent version

You must have Oracle v11.2.0.4 or a more recent version, with BR*Tools v7.20 (40) or v7.40 (14).

  • x86

  • x64

  • PowerPC

  • Compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

  • x86

  • PowerPC

  • Compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12-1.25.x or a more recent version

x64

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

  • x86

  • x64

  • PowerPC

  • Compatible processors

SuSE Linux 12 (Initial Release/SP1/SP2/SP3/SP4/SP5) with glibc 2.19.x

  • x86

  • x64

  • PowerPC

  • Compatible processors

SuSE Linux 11 (Initial Release/SP1 and later SPs) with glibc 2.9.x and higher

  • x86

  • x64

  • PowerPC

  • Compatible processors

Solaris

In a UNIX virtualization environment using Solaris, you can back up and restore data in both global and non-global zones.

Operating system

Processor architecture

Solaris 11.x

  • x64

  • Sparc T/M series

Solaris 10 Update 6 or equivalent

Sparc T/M series

Solaris 10 Update 6 or equivalent

x64

Windows

Operating system

Processor architecture

Microsoft Windows Server 2016 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 R2 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

Microsoft Windows Server 2008 Editions with a minimum of Service Pack 1

Server Core installations are not supported.

All Windows-compatible processors are supported

SAP BR*Tools 7.40, 7.20, 7.10, 7.00 for Oracle 10g (R1, R2 or a More Recent Version)

AIX

Data protection on Logical Partitioning (LPAR) and Workload Partitioning (WPAR) is supported.

Operating system

Processor architecture

AIX 7.2 64-bit

PowerPC

AIX 7.1 64-bit

PowerPC

AIX 6.1 TL 02 SP00 or higher, 64-bit

PowerPC

HP-UX

Operating system

Processor architecture

HP-UX 11i v3 (11.31)

Itanium

HP-UX 11i v1 (11.23)

Itanium

Linux

Important: If you have SELinux enabled on the client computer, create the SELinux policy module as a root user before performing a backup. The SELinux Development package must be installed on the client.

Operating system

Processor architecture

Oracle Linux 7.x with glibc 2.17.x or a more recent version

  • x86

  • x64

  • Compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

  • x86

  • PowerPC

  • Compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12-1.25.x or a more recent version

x64

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

  • x86

  • x64

  • PowerPC

  • Compatible processors

SuSE Linux 12 (Initial Release/SP1/SP2/SP3/SP4/SP5) with glibc 2.19.x

  • x86

  • x64

  • PowerPC

  • Compatible processors

SuSE Linux 11 (Initial Release/SP1 and later SPs) with glibc 2.9.x and higher

  • x86

  • x64

  • PowerPC

  • Compatible processors

Solaris

In a UNIX virtualization environment using Solaris, you can back up and restore data in both global and non-global zones.

Operating system

Processor architecture

Solaris 11.x

  • x64

  • Sparc T/M series

Solaris 10 Update 6 or equivalent

x64

Solaris 10 Update 6 or equivalent

Sparc T/M series

Windows

Operating system

Processor architecture

Microsoft Windows Server 2016 Editions

Nano Servers are not supported. For more information, see Considerations for Microsoft Windows Server 2016.

All Windows-compatible processors are supported

Microsoft Windows Server 2012 R2 Editions

All Windows-compatible processors are supported

Microsoft Windows Server 2012 Editions

Server Core installations are not supported.

All Windows-compatible processors are supported

Microsoft Windows Server 2008 Editions with a minimum of Service Pack 1

Server Core installations are not supported.

All Windows-compatible processors are supported

Hard Drive

Component

Space required

Software

2 GB

Job results folder

256 MB

Log folder

256 MB

Memory (RAM)

2 GB or more

Clustering

If clustering is supported by the operating system, you can install the software on a cluster. For information about supported cluster types, see Support for Cluster Configuration.

Software That Is Automatically Installed

File System Agent

.NET Framework

On most versions of Windows, the .NET Framework 4.6.2 is automatically installed.

On Windows 2008 and Windows Vista, the .NET Framework 4.0 is automatically installed.

Microsoft Visual C++ Redistributable 2017

Starting with Service Pack 18, Microsoft Visual C++ Redistributable 2017 (vcredist2017.exe) is automatically installed.

If a computer does not have the most recent Windows updates, the installation of Microsoft Visual C++ Redistributable 2017 will fail in installing Universal C Runtime. The following Windows updates must be installed to prevent the installation failure. The updates are not required on the most recent Windows operating system versions, such as Microsoft Windows 10 and Microsoft Windows Server 2016, because these versions have the Universal C Runtime already installed.

  • KB2919355

  • KB2939087

  • KB2975061

  • KB2999226

DISCLAIMER

Third-party maintenance (minor) releases or feature releases that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or feature releases. In some cases, these minor releases or feature releases affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or feature releases. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or feature releases are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.